/*      -*- linux-c -*-
 *
 * (C) Copyright IBM Corp. 2004
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  This
 * file and program are licensed under a BSD style license.  See
 * the Copying file included with the OpenHPI distribution for
 * full licensing terms.
 */

/******************************************************************* 
 * WARNING! This file is auto-magically generated by rsa_str2event.pl 
 *          Do not change this file manually. Update script instead
 *******************************************************************/

#include <glib.h>
#include <string.h>
#include <SaHpi.h>

#include <openhpi.h>
#include <rsa_resources.h>
#include <rsa_str2event.h>

static void free_hash_data(gpointer key, gpointer value, gpointer user_data);

/* Global String 2 Event Hash Table */
GHashTable * rsa_str2event_hash;

int rsa_str2event_hash_init() {

	gchar *key;
/*       gchar *key_exists; */
	Str2EventInfoT *strinfo;

	rsa_str2event_hash = g_hash_table_new(g_str_hash, g_str_equal);
	if (rsa_str2event_hash == NULL) {
		dbg("Cannot allocate rsa_str2event_hash table");
		return -1;
	}

	key = "System over recommended voltage on +5vB (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035504"; /* EN_IO_5VB_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage for +12v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037800"; /* EN_PFA_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180004"; /* EN_FAULT_PS4_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5vA (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034883"; /* EN_IO_5VA_CUTOFF_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +5v over voltage, powering off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B02A500"; /* EN_EXP4_CUTOFF_HI_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 9 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400009"; /* EN_FAULT_VRM9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08032880"; /* EN_CUTOFF_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to A/D Reference under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034881"; /* EN_AD_REF_5V_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 5 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C485"; /* EN_CUTOFF_HI_OVER_TEMP_CPU5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 -12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E801"; /* EN_FAULT_PS1_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428000"; /* EN_FAULT_VRM_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3V Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A29004"; /* EN_EXP2_FAULT_3_3V_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Controller not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801E000"; /* EN_PBP_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028000"; /* EN_FAULT_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature for PCI area.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C401"; /* EN_PFA_HI_OVER_TEMP_PCI */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 3 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18026803"; /* EN_EXP1_FAN3_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Power Supply Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08024001"; /* EN_PRESENT_CABLE_PSU */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 5 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C405"; /* EN_PROC_HOT_CPU5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401802"; /* EN_PFA_LO_FAULT_VRM2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 5V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234481"; /* EN_FAULT_PS1_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5vA (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034483"; /* EN_IO_5VA_CUTOFF_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CD-ROM drive cable is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06A1E000"; /* EN_MD_CD_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234081"; /* EN_FAULT_PS1_5V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 8)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801008"; /* EN_FAULT_DASD1_SCSI_ID_8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026803"; /* EN_FAN3_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +2.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08031480"; /* EN_PFA_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Over Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218483"; /* EN_PS3_OVER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 10 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440000A"; /* EN_FAULT_VRM10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 6 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200006"; /* EN_FAULT_PS6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PLANAR Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C080"; /* EN_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Current processor population order is not recommended. Please see system documentation.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E008"; /* EN_CPU_RECOMMEND_CNFG */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036000"; /* EN_FAULT_12V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08226002"; /* EN_FAULT_PS2_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Memory area under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501C880"; /* EN_CUTOFF_LO_OVER_TEMP_MEM_AREA */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 2)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801002"; /* EN_FAULT_DASD1_SCSI_ID_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to External SCSI Terminator Power (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E618486"; /* EN_IO_EXT_SCSI_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A001"; /* EN_FAULT_PS1_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to -12v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803E800"; /* EN_CUTOFF_LO_FAULT_N12V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Lower CEC +3.3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028006"; /* EN_3_3V_PWR_GOOD_FAULT_BOT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002800F"; /* EN_PCI_PWR_GOOD_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 7.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA20007"; /* EN_EXP4_I2C_BUS_7_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = " CPU 4 Invalid Configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421E004"; /* EN_CPU4_SLOT_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 5 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400005"; /* EN_FAULT_VRM5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +3.3V Supply.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04033500"; /* EN_CPU_3_3V_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage for 1.5V CPU";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04241900"; /* EN_PFA_LO_1_5V_CPU */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "The system real time clock battery is no longer reliable.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06000000"; /* EN_SYSTEM_BATTERY_FAILURE */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PERR on PCI bus 4";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06500004"; /* EN_PCI_PERR_4 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power module 3 or 4 is required to power blades 5 to 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00029402"; /* EN_BLADE_NO_DC_FAULT */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V G Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036007"; /* EN_FAULT_12V_G */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 5 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800005"; /* EN_FAULT_DASD1_HARD_DRIVE_5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +2.5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08030480"; /* EN_CUTOFF_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Advanced System Management PCI Card's Continuous 5V over max allowed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00034480"; /* EN_CUTOFF_HI_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64B under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018881"; /* EN_PB64B_CUTOFF_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E001"; /* EN_FAULT_PS1_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026003"; /* EN_FAULT_FAN3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026003"; /* EN_FAN_3_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 3 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E003"; /* EN_DASD1_REMOVED_DRIVE_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Invalid CPU configuration, Upper CEC";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E001"; /* EN_CPU_TOP_INV_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: C2 Security Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "002A4000"; /* EN_PRESENT_CABLE_C2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 7 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400807"; /* EN_CUTOFF_LO_FAULT_VRM7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Primary mode service processor";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000008"; /* EN_SPAR_PRIMARY_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300202"; /* EN_IERR_CPU2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Environmental Monitor ROM Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18100000"; /* EN_DMC_ROM_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 5V Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08035500"; /* EN_PFA_HI_FAULT_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: ISM controller over temperature, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A1C500"; /* EN_EXP2_CUTOFF_HI_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Security: Intrusion Detect Enabled";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00300000"; /* EN_TRIGGERED_KEYLOCK */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 -12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E001"; /* EN_FAULT_PS1_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 11.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA2000B"; /* EN_EXP3_I2C_BUS_11_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage for +5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035800"; /* EN_PFA_LO_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +3.3v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08033480"; /* EN_PFA_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System ambient temperature is too high.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001C080"; /* EN_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 2 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A027802"; /* EN_EXP3_FAN2_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001C000"; /* EN_OVER_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Secondary mode service processor is in standalone mode";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0400000E"; /* EN_SPAR_STANDALONE_SECONDARY_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800004"; /* EN_FAULT_DASD1_HARD_DRIVE_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 8 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200008"; /* EN_CPU_8_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028004"; /* EN_FAULT_PS4_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036480"; /* EN_CUTOFF_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 5V PCI.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06435500"; /* EN_PFA_HI_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 1 under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681D801"; /* EN_PFA_LO_OVER_TEMP_DASD1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Static partition is stopping";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000003"; /* EN_SPAR_PARTITION_STOPPING */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3V Supply over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04032480"; /* EN_CPU_3_3V_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +1.25v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08000880"; /* EN_CUTOFF_LO_FAULT_1_25V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD bank 17 under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681D811"; /* EN_PFA_LO_OVER_TEMP_DASD2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "BIOS ROM switched to default Boot page.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "40000200"; /* EN_DEFAULT_BIOS_ROM_PAGE */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 -12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E803"; /* EN_FAULT_PS3_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA36900"; /* EN_EXP3_CUTOFF_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05028000"; /* EN_POW_GOOD_FAULT_MEM_CARD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 6)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801006"; /* EN_FAULT_DASD1_SCSI_ID_6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Intrusion Detected";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200000"; /* EN_FAULT_RPS_ENTRY */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor Bus 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018401"; /* EN_PRI_CPU_BUS_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000067"; /* EN_MFAN */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 9 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800009"; /* EN_FAULT_DASD1_HARD_DRIVE_9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026001"; /* EN_FAULT_FAN1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "BIOS ROM switched to alternate Boot page.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "40000201"; /* EN_ALT_BIOS_ROM_PAGE */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Installed processors are not intended for this system.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200000"; /* EN_CPUS_INVALID */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System power controller not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08020000"; /* EN_FAULT_PBP_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Over Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218482"; /* EN_PS2_OVER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SERR on PCI bus 3";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480003"; /* EN_PCI_SERR_3 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Invalid combination of processor VRMs, Lower CEC";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E003"; /* EN_BOT_CPU_VRM_INVALID */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 1 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19026801"; /* EN_EXP2_FAN1_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 5V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A401"; /* EN_FAULT_PS1_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 8 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400008"; /* EN_FAULT_VRM8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 8).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F008"; /* EN_DASD1_REMOVED_SCSI_ID_8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 7).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F007"; /* EN_DASD1_REMOVED_SCSI_ID_7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 8 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200008"; /* EN_FAULT_PS8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Under Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218881"; /* EN_PS1_UNDER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on PB64B.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019501"; /* EN_PB64B_PFA_HI_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19C34080"; /* EN_EXP2_FAULT_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 1 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421DC81"; /* EN_CUTOFF_HI_TEMP_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Hot Plug Switch cable not detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18024001"; /* EN_EXP1_HOT_PLUG_CABLE_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 12.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002000C"; /* EN_I2C_BUS_12_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on Processor bus 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019901"; /* EN_PRI_CPU_BUS_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hot plug card is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06024003"; /* EN_HOT_PLUG_CARD_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "+3.3V Standby Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028011"; /* EN_3_3V_STANDBY_PWR_GOOD_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Powered Off";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000080"; /* EN_SYS_POWER_OFF */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PERR on PCI bus 3";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06500003"; /* EN_PCI_PERR_3 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 9 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026809"; /* EN_FAN9_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor bus 2 GTL+ under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018882"; /* EN_SEC_CPU_BUS_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 -12V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE3E002"; /* EN_EXP3_FAULT_PS2_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on External SCSI Terminator Power (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E619906"; /* EN_IO_EXT_SCSI_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180002"; /* EN_FAULT_PS2_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD controller not detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0661E001"; /* EN_DASD_BP_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026803"; /* EN_FAN3_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD power cable not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06624000"; /* EN_FAULT_DASD_PWR_CABLE */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM +3.3V (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06032480"; /* EN_IO_VRM_3_3V_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020001"; /* EN_I2C_BUS_1_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 12V_B current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B403"; /* EN_PFA_HI_EXCEDED_CUR_12V_B_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System cutoff temperature exceed";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000064"; /* EN_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Present Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0009E002"; /* EN_PRESENT_FAN2 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300201"; /* EN_IERR_CPU1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 6.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020006"; /* EN_I2C_BUS_6_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v PCI over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18232500"; /* EN_EXP1_CUTOFF_HI_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +2.5V Regulator.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04031500"; /* EN_CPU_2_5V_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6005"; /* EN_FAN5_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on PB64C.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019902"; /* EN_PB64C_PFA_LOW_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA20003"; /* EN_EXP4_I2C_BUS_3_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 0.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A20000"; /* EN_EXP2_I2C_BUS_0_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Invalid CPU configuration, Lower CEC";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E002"; /* EN_CPU_BOT_INV_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +3.3V Supply.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04033900"; /* EN_CPU_3_3V_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C083"; /* EN_FAULT_PS3_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Expansion system over recommended ambient temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B01D400"; /* EN_EXP4_PFA_HI_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 9.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401809"; /* EN_PFA_LO_FAULT_VRM9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 4)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801004"; /* EN_FAULT_DASD1_SCSI_ID_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power to PCI Controller Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A29002"; /* EN_EXP1_FAULT_WINN_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026002"; /* EN_FAN_2_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: -12v under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA3F800"; /* EN_EXP3_PFA_LO_FAULT_N12V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +1.8v under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA7B800"; /* EN_EXP4_PFA_LO_FAULT_1_8V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading an I2C device, possible bus failure.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B020000"; /* EN_EXP4_I2C_BUS_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 5V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234484"; /* EN_FAULT_PS4_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Post Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "40000000"; /* EN_POST_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System board is over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601D500"; /* EN_PFA_HI_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage for 3.3V PCI";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06433900"; /* EN_PFA_LO_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 12)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680100C"; /* EN_FAULT_DASD1_SCSI_ID_12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12V B Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19C36082"; /* EN_EXP2_FAULT_12V_B */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SCSI Bus in Non LVD mode";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06604001"; /* EN_SCSI_LVD_MODE */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12v over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A37400"; /* EN_EXP1_PFA_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 Power-Good Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E28002"; /* EN_EXP2_FAULT_PS2_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 7 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300207"; /* EN_IERR_CPU7 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 5V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234483"; /* EN_FAULT_PS3_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature for memory planar 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501D502"; /* EN_PFA_HI_OVER_TEMP_MEMORY2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 8 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400808"; /* EN_CUTOFF_LO_FAULT_VRM8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 3V B Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04432001"; /* EN_FAULT_VRM_3VB */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236003"; /* EN_FAULT_PS3_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V B Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036002"; /* EN_FAULT_12V_B */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 6).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F006"; /* EN_DASD1_REMOVED_SCSI_ID_6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026801"; /* EN_FAN1_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 1 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C801"; /* EN_CUTOFF_LO_OVER_TEMP_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 11.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440150B"; /* EN_PFA_HI_FAULT_VRM11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 -12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E002"; /* EN_FAULT_PS2_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Invalid RS485 Interconnect Configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19000002"; /* EN_EXP2_485_INVALID_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236481"; /* EN_FAULT_PS1_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on Processor bus 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019903"; /* EN_CPU_IO_BUS_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 5V Fault under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08034800"; /* EN_CUTOFF_LO_FAULT_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 9).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F009"; /* EN_DASD1_REMOVED_SCSI_ID_9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Memory Error";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05200000"; /* EN_MEMORY_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 20.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020014"; /* EN_I2C_BUS_20_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Scalability port acknowledgement received";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000010"; /* EN_SPAR_CABLE_PING_RECEIVED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on PB64 GTL (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019904"; /* EN_IO_PB64_GTL_REF_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 Power-Good Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E28001"; /* EN_EXP2_FAULT_PS1_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D503"; /* EN_PFA_HI_OVER_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to DASD 4 temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C884"; /* EN_CUTOFF_LO_OVER_TEMP_DASD1_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 15).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F00F"; /* EN_DASD1_REMOVED_SCSI_ID_15 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 Aux +5V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E2A402"; /* EN_EXP1_FAULT_PS2_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply Load Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0829A000"; /* EN_RPS_LOAD_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = " CPU 2 Invalid Configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421E002"; /* EN_CPU2_SLOT_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature for Memory area.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501D400"; /* EN_PFA_HI_OVER_TEMP_MEM_AREA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400002"; /* EN_FAULT_VRM2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E00001"; /* EN_EXP2_FAULT_PS1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Running Nonredundant Power";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08080001"; /* EN_NR_PWR_SUPPLY */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = NO_OVR;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 4 under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C804"; /* EN_PFA_LO_OVER_TEMP_DASD1_4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System powered off due to faults on each power supply";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08228001"; /* EN_FAULT_ALL_PS_PWR_GOOD */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 6 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200006"; /* EN_CPU_6_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +3.3v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B02D400"; /* EN_EXP4_PFA_HI_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401801"; /* EN_PFA_LO_FAULT_VRM1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 2 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026802"; /* EN_EXP3_FAN2_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 5)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801005"; /* EN_FAULT_DASD1_SCSI_ID_5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 1.5V CPU under voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04240880"; /* EN_CUTOFF_LO_1_5V_CPU */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +3.3v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08033880"; /* EN_PFA_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: System Running Nonredundant Power";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BC80001"; /* EN_EXP4_NR_PWR_SUPPLY */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 7 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400007"; /* EN_FAULT_VRM7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5vB (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034484"; /* EN_IO_5VB_CUTOFF_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 5.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020005"; /* EN_I2C_BUS_5_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 1.8V CPU under voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807A880"; /* EN_CUTOFF_LO_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on Internal SCSI Terminator Power (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06619905"; /* EN_IO_INT_SCSI_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VFD BIST Complete";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "09002003"; /* EN_FP_SELF_TEST_COMPLETE */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +2.5v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A30900"; /* EN_EXP1_CUTOFF_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to DASD 2 temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C482"; /* EN_CUTOFF_HI_OVER_TEMP_DASD1_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12v A (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036881"; /* EN_IO_12VA_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Advanced System Management PCI Card's Continuous 5V under recommended value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00034900"; /* EN_PFA_LO_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 Aux +5V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE2A403"; /* EN_EXP4_FAULT_PS3_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 6 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400006"; /* EN_FAULT_VRM6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5V Standby (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034882"; /* EN_IO_5V_STBY_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 3)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801003"; /* EN_FAULT_DASD1_SCSI_ID_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 14.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002000E"; /* EN_I2C_BUS_14_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node POST error";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000013"; /* EN_SPAR_NODE_POST_ERROR */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 2 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400802"; /* EN_CUTOFF_LO_FAULT_VRM2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage for +5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035500"; /* EN_PFA_HI_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 4 over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C404"; /* EN_PFA_HI_OVER_TEMP_DASD1_4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64A over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018480"; /* EN_PB64A_CUTOFF_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System board is under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601D800"; /* EN_PFA_LO_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 5.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D505"; /* EN_PFA_HI_OVER_TEMP_CPU5 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: PCI +5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A235400"; /* EN_EXP3_PFA_HI_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 5V_SHARED current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B408"; /* EN_PFA_HI_EXCEDED_CUR_5V_SHARED_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 1.5V CPU over voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04240480"; /* EN_CUTOFF_HI_1_5V_CPU */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 +5V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE34001"; /* EN_EXP3_FAULT_PS1_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 Over Temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E1C403"; /* EN_EXP1_FAULT_PS3_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 11 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440080B"; /* EN_CUTOFF_LO_FAULT_VRM11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "1.25V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08000080"; /* EN_FAULT_1_25V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236083"; /* EN_FAULT_PS3_12V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Complex Powered Up";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000076"; /* EN_PWR_UP */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 7 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C487"; /* EN_CUTOFF_HI_OVER_TEMP_CPU7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: PCI +5v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A234500"; /* EN_EXP3_CUTOFF_HI_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System powered off due to VRM severely over recommended tolerance.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04419500"; /* EN_CUTOFF_HI_FAULT_VRM */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 2 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026802"; /* EN_EXP3_FAN2_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 10 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440080A"; /* EN_CUTOFF_LO_FAULT_VRM10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +5vB (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035904"; /* EN_IO_5VB_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to memory planar 1 over hard shutoff temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501C481"; /* EN_CUTOFF_HI_OVER_TEMP_MEMORY1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: PCI planar area over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B21D400"; /* EN_EXP4_PFA_HI_OVER_TEMP_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 6 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400806"; /* EN_CUTOFF_LO_FAULT_VRM6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3V Supply under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04032880"; /* EN_CPU_3_3V_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: -12v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A3E900"; /* EN_EXP2_CUTOFF_LO_FAULT_N12V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Lower CEC +1.8V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028004"; /* EN_1_8V_PWR_GOOD_FAULT_BOT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory Port-1 2.5v Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05228000"; /* EN_POW_GOOD_FAULT_MEM_PORT_0 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over/under recommended voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006F"; /* EN_NC_VOLT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12V D Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18C36084"; /* EN_EXP1_FAULT_12V_D */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal SCSI cable is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0661E000"; /* EN_SCSI_INT_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 8 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026008"; /* EN_FAULT_FAN8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "5V A Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08034001"; /* EN_FAULT_5V_A */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD backplane Failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000069"; /* EN_DASD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upgrade Power Supply Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "082A6001"; /* EN_FAULT_RPS_UPGRADE_FAN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = NO_OVR;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PFA Alert, see preceding error in system error log.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000007B"; /* EN_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 4).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F004"; /* EN_DASD1_REMOVED_SCSI_ID_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 3 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C483"; /* EN_CUTOFF_HI_OVER_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: PCI planar area over temperature, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A21C500"; /* EN_EXP3_CUTOFF_HI_OVER_TEMP_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 1 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C081"; /* EN_OVER_TEMP_DASD1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 4 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B027804"; /* EN_EXP4_FAN4_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 3 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400803"; /* EN_CUTOFF_LO_FAULT_VRM3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6001"; /* EN_FAN1_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU VIDs are invalid.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E007"; /* EN_CPU_VIDS_INVALID */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Environmental Monitor Flash Update Failed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18080000"; /* EN_DMC_FLASH_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 -12V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE3E001"; /* EN_EXP3_FAULT_PS1_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 12V_C current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A404"; /* EN_CUTOFF_HI_EXCEDED_CUR_12V_C_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V F Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036006"; /* EN_FAULT_12V_F */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Hot Plug Switch cable not detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06025001"; /* EN_HOT_PLUG_CABLE_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 12 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440000C"; /* EN_FAULT_VRM12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5V Supply under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04034880"; /* EN_CPU_5V_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 3 on I/O planar not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0441E002"; /* EN_VRM_NP_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 10.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A2000A"; /* EN_EXP2_I2C_BUS_10_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Static partition is stopped";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000004"; /* EN_SPAR_PARTITION_STOPPED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper SMP Expansion Module disabled due to errors.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04016200"; /* EN_TOP_CEC_DISABLED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 -12V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E3E402"; /* EN_EXP2_FAULT_PS2_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Standalone mode service processor";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0400000A"; /* EN_SPAR_STANDALONE_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236084"; /* EN_FAULT_PS4_12V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 13).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F00D"; /* EN_DASD1_REMOVED_SCSI_ID_13 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 4 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C884"; /* EN_CUTOFF_LO_TEMP_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5V Supply over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04034480"; /* EN_CPU_5V_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 13.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A2000D"; /* EN_EXP1_I2C_BUS_13_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028002"; /* EN_FAULT_PS2_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 1 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400481"; /* EN_CUTOFF_HI_FAULT_VRM1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 -12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E401"; /* EN_FAULT_PS1_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 19.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020013"; /* EN_I2C_BUS_19_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Controller not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19024003"; /* EN_EXP2_PBP_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 4 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400484"; /* EN_CUTOFF_HI_FAULT_VRM4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 4 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19026804"; /* EN_EXP2_FAN4_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12v B (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036882"; /* EN_IO_12VB_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Invalid CPU configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E000"; /* EN_CPU_INVALID_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V A Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036001"; /* EN_FAULT_12V_A */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 5.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA20005"; /* EN_EXP3_I2C_BUS_5_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006D"; /* EN_SFAN */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 21.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020015"; /* EN_I2C_BUS_21_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +3.3v (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06033902"; /* EN_IO_3_3VB_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 4 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E004"; /* EN_DASD1_REMOVED_DRIVE_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 5 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E005"; /* EN_DASD1_REMOVED_DRIVE_5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: PCI +5v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A234900"; /* EN_EXP3_CUTOFF_LO_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "1.8V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807A080"; /* EN_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System power failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006C"; /* EN_RED_PS */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on PB64C.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019502"; /* EN_PB64C_PFA_HI_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 8 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800008"; /* EN_FAULT_DASD1_HARD_DRIVE_8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200002"; /* EN_FAULT_PS2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 5V Standby Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234403"; /* EN_FAULT_PS3_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power module 1 or 2 is required to power blades 1 to 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00029401"; /* EN_BLADE_NO_DC_FAULT_DOM1 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 Fan Failure.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E26002"; /* EN_EXP2_FAULT_PS2_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 Aux +5V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE2A401"; /* EN_EXP3_FAULT_PS1_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage for +12v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037500"; /* EN_PFA_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 6 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D806"; /* EN_PFA_LO_OVER_TEMP_CPU6 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200004"; /* EN_FAULT_PS4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 8 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428008"; /* EN_FAULT_VRM_POWER_GOOD_8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 -12V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE3E403"; /* EN_EXP4_FAULT_PS3_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Application Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "40000002"; /* EN_APP_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended PCI area temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C801"; /* EN_PFA_LO_OVER_TEMP_PCI */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Post Warn";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "40000001"; /* EN_POST_WARN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor 2 BIST Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04222002"; /* EN_CPU2_FRCERR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +12v B (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037902"; /* EN_IO_12VB_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +12v A (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037501"; /* EN_IO_12VA_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5V Standby (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034482"; /* EN_IO_5V_STBY_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 7 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026807"; /* EN_FAN7_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System front panel controller not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "09020000"; /* EN_FAULT_FP_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended Processor area temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401D800"; /* EN_PFA_LO_OVER_TEMP_PROC */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 11.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440180B"; /* EN_PFA_LO_FAULT_VRM11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Uncorrectable Memory Error Detected. Removed Failed Component(s) from active configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05280200"; /* EN_PECOS_ECC_MEM_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 -12V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E3E003"; /* EN_EXP1_FAULT_PS3_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "3.3V Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08032080"; /* EN_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to External SCSI Terminator Power (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E618886"; /* EN_IO_EXT_SCSI_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory Card Not Responding ";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501E000"; /* EN_MEM_RISER_PRESENT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401503"; /* EN_PFA_HI_FAULT_VRM3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 10.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002000A"; /* EN_I2C_BUS_10_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PERR on PCI bus 2";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06500002"; /* EN_PCI_PERR_2 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 4 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19026804"; /* EN_EXP2_FAN4_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 2 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D802"; /* EN_PFA_LO_OVER_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 12.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440180C"; /* EN_PFA_LO_FAULT_VRM12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 13.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002000D"; /* EN_I2C_BUS_13_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor area under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401C880"; /* EN_CUTOFF_LO_OVER_TEMP_PROC */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034480"; /* EN_CUTOFF_HI_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6004"; /* EN_FAN4_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401504"; /* EN_PFA_HI_FAULT_VRM4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 1).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F001"; /* EN_DASD1_REMOVED_SCSI_ID_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Present Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0009E002"; /* EN_PRESENT_FAN2 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System cutoff voltage exceed";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000065"; /* EN_VOLT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to -5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803C800"; /* EN_CUTOFF_LO_FAULT_N5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020003"; /* EN_I2C_BUS_3_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 8 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300208"; /* EN_IERR_CPU8 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 1 on I/O planar not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0441E000"; /* EN_VRM_NP_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 3.3V PCI over voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06432480"; /* EN_CUTOFF_HI_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Lower CEC - New CPU Planar Required for this CPU type, may cause errors";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E005"; /* EN_BOT_CPU_CONFIG_CRIT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 7 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C407"; /* EN_PROC_HOT_CPU7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 2 under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C802"; /* EN_PFA_LO_OVER_TEMP_DASD1_2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026804"; /* EN_FAN4_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A36500"; /* EN_EXP2_CUTOFF_HI_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper CEC +1.8V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028005"; /* EN_1_8V_PWR_GOOD_FAULT_TOP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3v (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06032481"; /* EN_IO_3_3VA_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 +12V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE36003"; /* EN_EXP3_FAULT_PS3_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 9 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400809"; /* EN_CUTOFF_LO_FAULT_VRM9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 2 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C082"; /* EN_OVER_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026002"; /* EN_FAN_2_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System drive array I2C not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06220000"; /* EN_FAULT_PW_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 17.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A20011"; /* EN_EXP1_I2C_BUS_17_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +1.8v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA7A900"; /* EN_EXP4_CUTOFF_LO_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor bus 1 GTL+ over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018481"; /* EN_PRI_CPU_BUS_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 15.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002000F"; /* EN_I2C_BUS_15_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 5 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200005"; /* EN_CPU_5_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: System Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A29000"; /* EN_EXP2_FAULT_SYS_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on PB64D.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019503"; /* EN_PB64D_PFA_HI_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor 1 BIST Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04222001"; /* EN_CPU1_FRCERR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 1 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E001"; /* EN_DASD1_REMOVED_DRIVE_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Present Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0009E001"; /* EN_PRESENT_FAN1 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Systems Management RTC battery is no longer reliable.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00006001"; /* EN_BATTERY_FAILURE */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3V VRM Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA29006"; /* EN_EXP3_FAULT_3_3VRM_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: F0 Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "09024000"; /* EN_PRESENT_CABLE_F0 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 1 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400801"; /* EN_CUTOFF_LO_FAULT_VRM1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800003"; /* EN_FAULT_DASD1_HARD_DRIVE_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12V Supply over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04036480"; /* EN_CPU_12V_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026801"; /* EN_FAN1_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 12.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA2000C"; /* EN_EXP3_I2C_BUS_12_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 7.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401507"; /* EN_PFA_HI_FAULT_VRM7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PCI area under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C881"; /* EN_CUTOFF_LO_OVER_TEMP_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on A/D Reference.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035501"; /* EN_AD_REF_5V_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 13)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680100D"; /* EN_FAULT_DASD1_SCSI_ID_13 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 4 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400804"; /* EN_CUTOFF_LO_FAULT_VRM4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on PB64A.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019500"; /* EN_PB64A_PFA_HI_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Primary I/O Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002800E"; /* EN_NIO_PWR_GOOD_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 1 over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681D481"; /* EN_PFA_HI_OVER_TEMP_DASD1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 2 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C402"; /* EN_PROC_HOT_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 15.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A2000F"; /* EN_EXP2_I2C_BUS_15_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 3.3V PCI under voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06432880"; /* EN_CUTOFF_LO_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 12).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F00C"; /* EN_DASD1_REMOVED_SCSI_ID_12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 6.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401806"; /* EN_PFA_LO_FAULT_VRM6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026802"; /* EN_FAN2_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 -12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E003"; /* EN_FAULT_PS3_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 8 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026808"; /* EN_FAN8_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 9.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401509"; /* EN_PFA_HI_FAULT_VRM9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 1 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B026001"; /* EN_EXP4_FAN_1_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 7 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6007"; /* EN_FAN7_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node booted flash";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000014"; /* EN_SPAR_NODE_BOOTED_FLASH */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 1 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B026001"; /* EN_EXP4_FAN_1_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "+2.5v VRM power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019001"; /* EN_VRM_2_5_PG_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper CEC - New CPU Planar Required for this CPU type, may cause errors";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E006"; /* EN_TOP_CPU_CONFIG_CRIT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 5V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A402"; /* EN_FAULT_PS2_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 -12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E804"; /* EN_FAULT_PS4_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12V C Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AC36083"; /* EN_EXP3_FAULT_12V_C */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 16.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020010"; /* EN_I2C_BUS_16_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 25.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020019"; /* EN_I2C_BUS_25_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 5.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401505"; /* EN_PFA_HI_FAULT_VRM5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on External SCSI Terminator Power (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E619506"; /* EN_IO_EXT_SCSI_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 6 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428006"; /* EN_FAULT_VRM_POWER_GOOD_6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Parity Error PCI Bus B";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06502003"; /* EN_PERR_X0_PB */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Diag Panel Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06024002"; /* EN_PRESENT_CABLE_DIAG */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System error log full";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006B"; /* EN_LOG_FULL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to high ambient temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001C480"; /* EN_CUTOFF_HI_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 11).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F00B"; /* EN_DASD1_REMOVED_SCSI_ID_11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Over Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218481"; /* EN_PS1_OVER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 8 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6008"; /* EN_FAN8_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E002"; /* EN_FAULT_PS2_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor 4 BIST Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04222004"; /* EN_CPU4_FRCERR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C081"; /* EN_FAULT_PS1_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 -12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E004"; /* EN_FAULT_PS4_N12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +1.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08041800"; /* EN_PFA_LO_FAULT_1_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to board over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C480"; /* EN_CUTOFF_HI_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 7)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801007"; /* EN_FAULT_DASD1_SCSI_ID_7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended ambient temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0001D500"; /* EN_PFA_HI_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Invalid Fan configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B026000"; /* EN_EXP4_FAN_INVALID_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V H Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036008"; /* EN_FAULT_12V_H */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V D Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036004"; /* EN_FAULT_12V_D */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "5V B Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08034002"; /* EN_FAULT_5V_B */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +2.5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08030880"; /* EN_CUTOFF_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020002"; /* EN_I2C_BUS_2_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234083"; /* EN_FAULT_PS3_5V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power supply current or voltage exceeded max spec value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0809A401"; /* EN_OVERSPEC */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = NO_OVR;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026004"; /* EN_FAN_4_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM voltage over recommended tolerance.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04418400"; /* EN_PFA_HI_FAULT_VRM */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 10 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440048A"; /* EN_CUTOFF_HI_FAULT_VRM10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory card 2 I2C not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05020002"; /* EN_FAULT_M2_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 14)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680100E"; /* EN_FAULT_DASD1_SCSI_ID_14 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 5V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234803"; /* EN_FAULT_PS3_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 5.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401805"; /* EN_PFA_LO_FAULT_VRM5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236002"; /* EN_FAULT_PS2_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: PCI +5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A235800"; /* EN_EXP3_PFA_LO_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036800"; /* EN_CUTOFF_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended 5V PCI.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06435800"; /* EN_PFA_LO_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Application Posted Alert to ASM";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000014"; /* EN_APP_ALERT */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 5V Standby Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234404"; /* EN_FAULT_PS4_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 0 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06600000"; /* EN_FAULT_DASD1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Environmental Monitor firmware needs updating. No environmental information currently available.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18100001"; /* EN_DMC_KERNAL_MODE */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +5V Standby (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035502"; /* EN_IO_5V_STBY_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 5V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234482"; /* EN_FAULT_PS2_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Resetting system due to an unrecoverable error";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06000200"; /* EN_SPINT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236081"; /* EN_FAULT_PS1_12V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 1 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428001"; /* EN_FAULT_VRM_POWER_GOOD_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +5V Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A29003"; /* EN_EXP1_FAULT_5V_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Planar voltage over/under 3.3V";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00032000"; /* EN_PLANAR_3_3V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236484"; /* EN_FAULT_PS4_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +2.5V Regulator under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04030880"; /* EN_CPU_2_5V_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026005"; /* EN_FAN_5_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 5 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C805"; /* EN_CUTOFF_LO_OVER_TEMP_CPU5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 4 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026004"; /* EN_EXP3_FAN_4_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Wall power failure to power supply 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218002"; /* EN_PS2_AC_FAIL */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Secondary mode service processor in temporary standalone mode";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0400000C"; /* EN_SPAR_STANDALONE_RESET_SECONDARY_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180001"; /* EN_FAULT_PS1_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 5V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234801"; /* EN_FAULT_PS1_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Continuous 3.3V under recommended value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002D800"; /* EN_PFA_LO_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64C under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018882"; /* EN_PB64C_CUTOFF_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on PB64B.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019901"; /* EN_PB64B_PFA_LOW_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: ISM controller over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA1D400"; /* EN_EXP4_PFA_HI_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Secondary Device Event";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "6EA00000"; /* EN_SEC_DEV */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PERR on PCI bus 1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06500001"; /* EN_PCI_PERR_1 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on PB64D.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019903"; /* EN_PB64D_PFA_LOW_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A33800"; /* EN_EXP2_PFA_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory +1.8v power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019004"; /* EN_MEMORY_1_8_PG_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 3 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400483"; /* EN_CUTOFF_HI_FAULT_VRM3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400001"; /* EN_FAULT_VRM1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor bus 3 GTL+ under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018883"; /* EN_CPU_IO_BUS_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 1 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19026801"; /* EN_EXP2_FAN1_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 3.3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08232481"; /* EN_FAULT_PS1_33V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +1.8v over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA7B400"; /* EN_EXP4_PFA_HI_FAULT_1_8V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +1.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08041400"; /* EN_PFA_HI_FAULT_1_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Loader Watchdog Triggered";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000078"; /* EN_LOAD_WD */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Catseye2 Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06024001"; /* EN_PRESENT_CABLE_CATSEYE2 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor area over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401C480"; /* EN_CUTOFF_HI_OVER_TEMP_PROC */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Static partition is resetting";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000006"; /* EN_SPAR_PARTITION_RESETTING */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 4 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D804"; /* EN_PFA_LO_OVER_TEMP_CPU4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Media controller not detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06C1E000"; /* EN_MEDIA_BP_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "+1.8v VRM power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019002"; /* EN_VRM_1_8_PG_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory card 1 I2C not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05020001"; /* EN_FAULT_M1_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Under Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218883"; /* EN_PS3_UNDER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236803"; /* EN_FAULT_PS3_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 10).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F00A"; /* EN_DASD1_REMOVED_SCSI_ID_10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor Bus 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018402"; /* EN_SEC_CPU_BUS_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Scalability/L3 Controller power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019000"; /* EN_TORNADO_PG_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 9 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026809"; /* EN_FAN9_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor bus 3 GTL+ over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018483"; /* EN_CPU_IO_BUS_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034800"; /* EN_CUTOFF_LO_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +2.5v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A30500"; /* EN_EXP1_CUTOFF_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "240V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B400"; /* EN_FAULT_240V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 7 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400487"; /* EN_CUTOFF_HI_FAULT_VRM7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "L2 Cache VIDS for processor pair R1-R2 do not match.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "64280000"; /* EN_L2CNFLCTR12 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 -12V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E3E401"; /* EN_EXP2_FAULT_PS1_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +1.8V Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A29005"; /* EN_EXP2_FAULT_1_8V_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 5).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F005"; /* EN_DASD1_REMOVED_SCSI_ID_5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power System Under Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08018880"; /* EN_PS_UNDER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 9.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020009"; /* EN_I2C_BUS_9_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 7 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026007"; /* EN_FAULT_FAN7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to DASD 1 temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C481"; /* EN_CUTOFF_HI_OVER_TEMP_DASD1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 4 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428004"; /* EN_FAULT_VRM_POWER_GOOD_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 12 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440048C"; /* EN_CUTOFF_HI_FAULT_VRM12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028003"; /* EN_FAULT_PS3_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 1 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200001"; /* EN_CPU_1_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401501"; /* EN_PFA_HI_FAULT_VRM1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D504"; /* EN_PFA_HI_OVER_TEMP_CPU4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upgrade Power Supply Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08280000"; /* EN_FAULT_RPS_UPGRADE */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: SCSI I2C cable not detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E625000"; /* EN_CABLE_SCSI_I2C_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: System Approaching Maximum Power Consumption";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BC80002"; /* EN_EXP4_PS_LOW_FUEL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "External SCSI cable is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0E61E000"; /* EN_SCSI_EXT_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Over Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218484"; /* EN_PS4_OVER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 5V Fault Over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08034480"; /* EN_CUTOFF_HI_FAULT_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "I/O planar not seated properly.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601E000"; /* EN_IO_PLANAR_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Uncorrectable Cache Error Detected. Removed Failed Component(s) from active configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05080200"; /* EN_L3_CACHE_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory Port-2 2.5v Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05228001"; /* EN_POW_GOOD_FAULT_MEM_PORT_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "1.5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08040080"; /* EN_FAULT_1_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Redundant Power Failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000068"; /* EN_PS_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Application Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "40000003"; /* EN_APP_WARN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to A/D Reference over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034481"; /* EN_AD_REF_5V_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 2 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428002"; /* EN_FAULT_VRM_POWER_GOOD_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6006"; /* EN_FAN6_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026006"; /* EN_FAULT_FAN6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 9 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400489"; /* EN_CUTOFF_HI_FAULT_VRM9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236482"; /* EN_FAULT_PS2_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236483"; /* EN_FAULT_PS3_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08226001"; /* EN_FAULT_PS1_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SBC memory error has occurred.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05300001"; /* EN_SBC_MEMORY_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 5V Standby Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234402"; /* EN_FAULT_PS2_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 Over Temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE1C401"; /* EN_EXP4_FAULT_PS1_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Complex Powered Down";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000075"; /* EN_PWR_DWN */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 -12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E403"; /* EN_FAULT_PS3_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on VRM +3.3 (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06033500"; /* EN_IO_VRM_3_3V_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12v A (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036481"; /* EN_IO_12VA_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node booting OS";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000015"; /* EN_SPAR_NODE_BOOTING_OS */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 9 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6009"; /* EN_FAN9_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026006"; /* EN_FAN_6_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026003"; /* EN_FAULT_FAN3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026003"; /* EN_FAN_3_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 6.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A20006"; /* EN_EXP1_I2C_BUS_6_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 3.3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08232083"; /* EN_FAULT_PS3_33V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64C over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018482"; /* EN_PB64C_CUTOFF_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +2.5V Branch-B Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A29008"; /* EN_EXP2_FAULT_2_5VB_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200001"; /* EN_FAULT_PS1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 -12V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E3E801"; /* EN_EXP2_FAULT_PS1_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 3 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C883"; /* EN_CUTOFF_LO_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08226004"; /* EN_FAULT_PS4_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "3.3V Continuous ASM Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002C000"; /* EN_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: -12v over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A3F400"; /* EN_EXP1_PFA_HI_FAULT_N12V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 16.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A20010"; /* EN_EXP1_I2C_BUS_16_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "On Off Reset panel is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0901E002"; /* EN_ONOFF_PANEL_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026005"; /* EN_FAULT_FAN5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 3.3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08232484"; /* EN_FAULT_PS4_33V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 +12V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE36401"; /* EN_EXP3_FAULT_PS1_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +2.5V Regulator over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04030480"; /* EN_CPU_2_5V_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +1.8v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA7A500"; /* EN_EXP3_CUTOFF_HI_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 22.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020016"; /* EN_I2C_BUS_22_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020008"; /* EN_I2C_BUS_8_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Integrated Systems Management Processor encountered failures upon starting.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00006002"; /* EN_EM_STARTUP_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 2 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200002"; /* EN_CPU_2_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026005"; /* EN_FAULT_FAN5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 12.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440150C"; /* EN_PFA_HI_FAULT_VRM12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE00003"; /* EN_EXP3_FAULT_PS3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor Or VRM Failed";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200200"; /* EN_FAULT_CPU */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 +5V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E34402"; /* EN_EXP1_FAULT_PS2_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = " CPU 3 Invalid Configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421E003"; /* EN_CPU3_SLOT_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400003"; /* EN_FAULT_VRM3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA20002"; /* EN_EXP4_I2C_BUS_2_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 3 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18026803"; /* EN_EXP1_FAN3_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Internal SCSI Terminator Power (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06618485"; /* EN_IO_INT_SCSI_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006A"; /* EN_VRM */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory Port-3 2.5v Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05228002"; /* EN_POW_GOOD_FAULT_MEM_PORT_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Approaching Maximum Power Consumption";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08080002"; /* EN_PS_LOW_FUEL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Under Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218882"; /* EN_PS2_UNDER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A20001"; /* EN_EXP2_I2C_BUS_1_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800000"; /* EN_FAULT_DASD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V Planar Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036000"; /* EN_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on A/D Reference.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035901"; /* EN_AD_REF_5V_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D508"; /* EN_PFA_HI_OVER_TEMP_CPU8 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 3 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026003"; /* EN_EXP3_FAN_3_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200003"; /* EN_FAULT_PS3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor bus 1 GTL+ under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018881"; /* EN_PRI_CPU_BUS_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 3V_SHARED current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B407"; /* EN_PFA_HI_EXCEDED_CUR_3V_SHARED_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 -12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E402"; /* EN_FAULT_PS2_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 3 under recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C803"; /* EN_PFA_LO_OVER_TEMP_DASD1_3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage for -12v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803F500"; /* EN_PFA_HI_FAULT_N12V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +3.3v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B02C900"; /* EN_EXP4_CUTOFF_LO_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 3 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18027803"; /* EN_EXP1_FAN3_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 3 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C083"; /* EN_OVER_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 1)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801001"; /* EN_FAULT_DASD1_SCSI_ID_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 10 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E00A"; /* EN_DASD1_REMOVED_DRIVE_10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Keylock cable not detected";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601E002"; /* EN_KEYLOCK_CABLE_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory +2.5v power fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019003"; /* EN_MEMORY_2_5_PG_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236802"; /* EN_FAULT_PS2_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 3 over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C403"; /* EN_PFA_HI_OVER_TEMP_DASD1_3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +5vA (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035503"; /* EN_IO_5VA_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026006"; /* EN_FAN_6_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 6 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800006"; /* EN_FAULT_DASD1_HARD_DRIVE_6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401502"; /* EN_PFA_HI_FAULT_VRM2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08180003"; /* EN_FAULT_PS3_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 12V_A current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B402"; /* EN_PFA_HI_EXCEDED_CUR_12V_A_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 Fan Failure.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E26001"; /* EN_EXP1_FAULT_PS1_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System IO board I2C not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06020000"; /* EN_FAULT_IO_R */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE1E001"; /* EN_EXP3_FAULT_PS1_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +5V Supply.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04035500"; /* EN_CPU_5V_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A003"; /* EN_FAULT_PS3_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System powered off due to VRM severely under recommended tolerance.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04419900"; /* EN_CUTOFF_LO_FAULT_VRM */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 1.8V CPU over voltage";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807A480"; /* EN_CUTOFF_HI_FAULT_1_8V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026004"; /* EN_FAULT_FAN4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 18.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A20012"; /* EN_EXP1_I2C_BUS_18_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 +5V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E34003"; /* EN_EXP2_FAULT_PS3_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 4 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C404"; /* EN_PROC_HOT_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C084"; /* EN_FAULT_PS4_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended Memory area temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501D800"; /* EN_PFA_LO_OVER_TEMP_MEM_AREA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 5 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D805"; /* EN_PFA_LO_OVER_TEMP_CPU5 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +5V Standby (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035902"; /* EN_IO_5V_STBY_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 23.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020017"; /* EN_I2C_BUS_23_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 1 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19027801"; /* EN_EXP2_FAN1_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 7 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800007"; /* EN_FAULT_DASD1_HARD_DRIVE_7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 7 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200007"; /* EN_CPU_7_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 1 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D081"; /* EN_THERM_TRIP_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 6 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D086"; /* EN_THERM_TRIP_CPU6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = " CPU 1 Invalid Configuration.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421E001"; /* EN_CPU1_SLOT_ERROR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM voltage under recommended tolerance.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04418800"; /* EN_PFA_LO_FAULT_VRM */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node in OS";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000016"; /* EN_SPAR_NODE_IN_OS */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 15)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680100F"; /* EN_FAULT_DASD1_SCSI_ID_15 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Invalid combination of processor VRMs, Upper CEC";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401E004"; /* EN_TOP_CPU_VRM_INVALID */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 5 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400805"; /* EN_CUTOFF_LO_FAULT_VRM5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 4 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200004"; /* EN_CPU_4_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 3V_SHARED current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A407"; /* EN_CUTOFF_HI_EXCEDED_CUR_3V_SHARED_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V E Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036005"; /* EN_FAULT_12V_E */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3v (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06032881"; /* EN_IO_3_3VA_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 Power-Good Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE28003"; /* EN_EXP3_FAULT_PS3_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on Internal SCSI Terminator Power (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06619505"; /* EN_IO_INT_SCSI_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to DASD bank 17 temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C811"; /* EN_CUTOFF_LO_OVER_TEMP_DASD2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 5 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C085"; /* EN_OVER_TEMP_CPU5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236804"; /* EN_FAULT_PS4_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 2 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026002"; /* EN_EXP3_FAN_2_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on PB64 GTL (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019504"; /* EN_IO_PB64_GTL_REF_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 2 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421DC82"; /* EN_CUTOFF_HI_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 5V_A current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A405"; /* EN_CUTOFF_HI_EXCEDED_CUR_5V_A_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +5v over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18A35400"; /* EN_EXP1_PFA_HI_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401803"; /* EN_PFA_LO_FAULT_VRM3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD 2 over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C402"; /* EN_PFA_HI_OVER_TEMP_DASD1_2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor 3 BIST Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04222003"; /* EN_CPU3_FRCERR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 -12V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E3E803"; /* EN_EXP1_FAULT_PS3_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 24.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020018"; /* EN_I2C_BUS_24_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage for 1.8V CPU";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807B800"; /* EN_PFA_LO_FAULT_1_8V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Static partition is started";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000002"; /* EN_SPAR_PARTITION_STARTED */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AF80003"; /* EN_EXP3_FAULT_PS3_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Lower CEC Port 0 Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028009"; /* EN_MEM_PORT0_PWR_GOOD_FAULT_BOT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD bank 17 over recommended temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681D491"; /* EN_PFA_HI_OVER_TEMP_DASD2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature for memory planar 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501D501"; /* EN_PFA_HI_OVER_TEMP_MEMORY1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300204"; /* EN_IERR_CPU4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D502"; /* EN_PFA_HI_OVER_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 10 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680000A"; /* EN_FAULT_DASD1_HARD_DRIVE_10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300203"; /* EN_IERR_CPU3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "5V Planar Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034000"; /* EN_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401804"; /* EN_PFA_LO_FAULT_VRM4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 2 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026002"; /* EN_EXP3_FAN_2_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 5 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428005"; /* EN_FAULT_VRM_POWER_GOOD_5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 7 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E007"; /* EN_DASD1_REMOVED_DRIVE_7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026804"; /* EN_FAN4_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 26.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002001A"; /* EN_I2C_BUS_26_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 +12V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AE36801"; /* EN_EXP3_FAULT_PS1_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Error PCI Bus";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480000"; /* EN_SERR_S */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Continuous 3.3V over max allowed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002C480"; /* EN_CUTOFF_HI_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 5V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A404"; /* EN_FAULT_PS4_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA20004"; /* EN_EXP3_I2C_BUS_4_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 5V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234802"; /* EN_FAULT_PS2_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to DASD 3 temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C483"; /* EN_CUTOFF_HI_OVER_TEMP_DASD1_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to profusion card over hard shutoff temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401C481"; /* EN_CUTOFF_HI_OVER_TEMP_PROFUSION */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 +5V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E34803"; /* EN_EXP2_FAULT_PS3_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +12v B (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037502"; /* EN_IO_12VB_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 5V PCI under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06434800"; /* EN_CUTOFF_LO_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 10.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440150A"; /* EN_PFA_HI_FAULT_VRM10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +3.3v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08032480"; /* EN_CUTOFF_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +12V Supply.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04037500"; /* EN_CPU_12V_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234084"; /* EN_FAULT_PS4_5V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026002"; /* EN_FAULT_FAN2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 5V_SHARED current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A408"; /* EN_CUTOFF_HI_EXCEDED_CUR_5V_SHARED_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 12V_SHARED current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A406"; /* EN_CUTOFF_HI_EXCEDED_CUR_12V_SHARED_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 6 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E006"; /* EN_DASD1_REMOVED_DRIVE_6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power supply current exceeded max spec value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AC1B401"; /* EN_EXP3_PFA_HI_OVER_SPEC_CURRENT */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800002"; /* EN_FAULT_DASD1_HARD_DRIVE_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026805"; /* EN_FAN5_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 14.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A2000E"; /* EN_EXP2_I2C_BUS_14_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V C Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08036003"; /* EN_FAULT_12V_C */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Static partition is starting";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000005"; /* EN_SPAR_PARTITION_STARTING */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 8 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C808"; /* EN_CUTOFF_LO_OVER_TEMP_CPU8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 8 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D808"; /* EN_PFA_LO_OVER_TEMP_CPU8 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage for 1.5V CPU";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04241500"; /* EN_PFA_HI_1_5V_CPU */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 4.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020004"; /* EN_I2C_BUS_4_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +3.3v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A02D800"; /* EN_EXP3_PFA_LO_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 7 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D807"; /* EN_PFA_LO_OVER_TEMP_CPU7 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper CEC Port 0 Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002800D"; /* EN_UPPER_CPU_MEM_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Chipset Power-Good Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A29001"; /* EN_EXP2_FAULT_CHIP_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage for -12v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803F800"; /* EN_PFA_LO_FAULT_N12V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 8 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C088"; /* EN_OVER_TEMP_CPU8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026005"; /* EN_FAN_5_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PCI area over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C481"; /* EN_CUTOFF_HI_OVER_TEMP_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "-5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803C000"; /* EN_FAULT_N5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 5 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026805"; /* EN_FAN5_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node powered on";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000018"; /* EN_SPAR_NODE_POWER_ON */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 -12V Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E404"; /* EN_FAULT_PS4_N12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to system board under temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0601C800"; /* EN_CUTOFF_LO_OVER_TEMP_PLANAR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 9 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026009"; /* EN_FAULT_FAN9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Remote Login Successful. Login ID:";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000007A"; /* EN_RAT_LOGIN */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +1.25v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08000480"; /* EN_CUTOFF_HI_FAULT_1_25V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A004"; /* EN_FAULT_PS4_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +2.5v under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19A31800"; /* EN_EXP2_PFA_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 Fan Failure.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E26003"; /* EN_EXP2_FAULT_PS3_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage for -5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803D500"; /* EN_PFA_HI_FAULT_N5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Continuous 3.3V over recommended value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002D400"; /* EN_PFA_HI_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 2 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E002"; /* EN_DASD1_REMOVED_DRIVE_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Error";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06400000"; /* EN_SERR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 DC Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08028001"; /* EN_FAULT_PS1_DC_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 5V Standby Over Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234401"; /* EN_FAULT_PS1_5VSB_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Service processor not configured for static partition";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000007"; /* EN_SPAR_NULL_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 17.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020011"; /* EN_I2C_BUS_17_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 7 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200007"; /* EN_FAULT_PS7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 8 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C408"; /* EN_PROC_HOT_CPU8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 4 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421DC84"; /* EN_CUTOFF_HI_TEMP_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA32900"; /* EN_EXP3_CUTOFF_LO_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "5V PCI Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06434000"; /* EN_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 6 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C806"; /* EN_CUTOFF_LO_OVER_TEMP_CPU6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236801"; /* EN_FAULT_PS1_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SERR on PCI bus 2";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480002"; /* EN_PCI_SERR_2 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +1.25v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08001400"; /* EN_PFA_HI_FAULT_1_25V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 +12V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE36002"; /* EN_EXP4_FAULT_PS2_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "-5V PCI Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0643C000"; /* EN_FAULT_N5V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64D over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018483"; /* EN_PB64D_CUTOFF_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 11 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440048B"; /* EN_CUTOFF_HI_FAULT_VRM11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 5 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08200005"; /* EN_FAULT_PS5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Advanced System Management PCI Card's Continuous 5V under minimum value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00034880"; /* EN_CUTOFF_LO_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 4 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026004"; /* EN_EXP3_FAN_4_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "-12V PCI Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0643E000"; /* EN_FAULT_N12V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor Power Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04028000"; /* EN_PROCESSOR_PLANAR_POWER_GOOD_FAULT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Invalid PCI Planar/RS485 Interconnect configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B000003"; /* EN_EXP4_PCI_INVALID_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200202"; /* EN_FAULT_CPU2 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Error PCI Bus B";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480006"; /* EN_SERR_X0_PB */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 Over Temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E1C402"; /* EN_EXP2_FAULT_PS2_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12V Supply under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04036880"; /* EN_CPU_12V_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 9)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801009"; /* EN_FAULT_DASD1_SCSI_ID_9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0829C000"; /* EN_RPS_OVER_TEMP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 12V_A current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A402"; /* EN_CUTOFF_HI_EXCEDED_CUR_12V_A_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on Processor bus 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019502"; /* EN_SEC_CPU_BUS_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 6 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C406"; /* EN_PROC_HOT_CPU6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 -12V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0823E802"; /* EN_FAULT_PS2_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 5V_A  current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B405"; /* EN_PFA_HI_EXCEDED_CUR_5V_A_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: ISM Processor encountered failures upon starting.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A000001"; /* EN_EXP3_EM_STARTUP_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "POST Watchdog Triggered";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000072"; /* EN_POST_WD */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System could not find processor and VRMs in matching slot.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04202001"; /* EN_BUSTERM_FAIL */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE00002"; /* EN_EXP4_FAULT_PS2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64A under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018880"; /* EN_PB64A_CUTOFF_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 +12V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E36403"; /* EN_EXP1_FAULT_PS3_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor configuration prohibits CPU 3 from operating at maximum speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200003"; /* EN_CPU_3_NOT_OPTIMAL */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 10)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680100A"; /* EN_FAULT_DASD1_SCSI_ID_10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 9 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026009"; /* EN_FAULT_FAN9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 11)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0680100B"; /* EN_FAULT_DASD1_SCSI_ID_11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Floppy drive cable is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06A9E000"; /* EN_MD_FD_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Parity Error PCI Bus X";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06502004"; /* EN_PERR_X1_PX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 +5V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E34002"; /* EN_EXP2_FAULT_PS2_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SERR on PCI bus 1";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480001"; /* EN_PCI_SERR_1 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64D under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018883"; /* EN_PB64D_CUTOFF_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 3 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6003"; /* EN_FAN3_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node powered off";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000011"; /* EN_SPAR_NODE_POWER_OFF */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 7 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428007"; /* EN_FAULT_VRM_POWER_GOOD_7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: F2 Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "09024002"; /* EN_PRESENT_CABLE_F2 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature for Processor area.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401D400"; /* EN_PFA_HI_OVER_TEMP_PROC */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 7 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026007"; /* EN_FAULT_FAN7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 7.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020007"; /* EN_I2C_BUS_7_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Primary mode service processor is in standalone mode";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0400000D"; /* EN_SPAR_STANDALONE_PRIMARY_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper CEC +3.3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028007"; /* EN_3_3V_PWR_GOOD_FAULT_TOP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 not detected Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026001"; /* EN_FAN_1_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236004"; /* EN_FAULT_PS4_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026006"; /* EN_FAULT_FAN6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Advanced System Management PCI Card's Continuous 5V over recommended value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00035500"; /* EN_PFA_HI_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 7 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026807"; /* EN_FAN7_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +2.5V Branch-A Power Not Adequate.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA29007"; /* EN_EXP3_FAULT_2_5VA_PWR_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +12V Supply.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04037900"; /* EN_CPU_12V_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 6.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D506"; /* EN_PFA_HI_OVER_TEMP_CPU6 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +2.5V Regulator.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04031900"; /* EN_CPU_2_5V_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power System Over Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08018480"; /* EN_PS_OVER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64 GTL (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018484"; /* EN_IO_PB64_GTL_REF_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Parity Error PCI Bus A";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06502002"; /* EN_PERR_X0_PA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper CEC Port 1 Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002800A"; /* EN_MEM_PORT1_PWR_GOOD_FAULT_TOP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08226000"; /* EN_FAULT_RPS_ENTRY_FAN */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v PCI under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18232900"; /* EN_EXP1_CUTOFF_LO_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to -12v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803E480"; /* EN_CUTOFF_HI_FAULT_N12V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v PCI under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B233800"; /* EN_EXP4_PFA_LO_3_35V_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Environmental Monitor Flash Update Failed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A080000"; /* EN_EXP3_DMC_FLASH_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Parity Error PCI Bus";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06500000"; /* EN_PERR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 1 12V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236001"; /* EN_FAULT_PS1_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +5v under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA35800"; /* EN_EXP4_PFA_LO_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 +5V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E34802"; /* EN_EXP1_FAULT_PS2_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage for 3.3V PCI";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06433500"; /* EN_PFA_HI_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1902B400"; /* EN_EXP2_PFA_HI_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401808"; /* EN_PFA_LO_FAULT_VRM8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E004"; /* EN_FAULT_PS4_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 11.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002000B"; /* EN_I2C_BUS_11_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 7 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D087"; /* EN_THERM_TRIP_CPU7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026004"; /* EN_FAN_4_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E1E002"; /* EN_EXP2_FAULT_PS2_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 +5V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE34403"; /* EN_EXP4_FAULT_PS3_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 5 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300205"; /* EN_IERR_CPU5 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12V A Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BC36081"; /* EN_EXP4_FAULT_12V_A */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 12V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08236082"; /* EN_FAULT_PS2_12V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Present Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0009E001"; /* EN_PRESENT_FAN1 */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 -12V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E3E802"; /* EN_EXP2_FAULT_PS2_N12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 8 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E008"; /* EN_DASD1_REMOVED_DRIVE_8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D501"; /* EN_PFA_HI_OVER_TEMP_CPU1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +5vA (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06035903"; /* EN_IO_5VA_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 2 on I/O planar not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0441E001"; /* EN_VRM_NP_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +12v A (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06037901"; /* EN_IO_12VA_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 6 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400486"; /* EN_CUTOFF_HI_FAULT_VRM6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 3 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C403"; /* EN_PROC_HOT_CPU3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +1.5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08040480"; /* EN_CUTOFF_HI_FAULT_1_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 7.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401807"; /* EN_PFA_LO_FAULT_VRM7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026806"; /* EN_FAN6_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: LED Panel Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "09024001"; /* EN_PRESENT_CABLE_LED */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 Under Voltage Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218884"; /* EN_PS4_UNDER_VOL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 +12V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E36803"; /* EN_EXP2_FAULT_PS3_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Upper CEC +2.5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028003"; /* EN_2_5V_PWR_GOOD_FAULT_TOP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000006E"; /* EN_NC_TEMP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 8 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026008"; /* EN_FAULT_FAN8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node reset";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000017"; /* EN_SPAR_NODE_RESET */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64 GTL (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018884"; /* EN_IO_PB64_GTL_REF_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 12 under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440080C"; /* EN_CUTOFF_LO_FAULT_VRM12 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended temperature for profusion card.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0401D501"; /* EN_PFA_HI_OVER_TEMP_PROFUSION */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +1.25v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08001800"; /* EN_PFA_LO_FAULT_1_25V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200203"; /* EN_FAULT_CPU3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +12v B (I/O Planar) over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06036482"; /* EN_IO_12VB_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 +5V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E34801"; /* EN_EXP1_FAULT_PS1_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Host BIST Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00022001"; /* EN_HOST_BIST */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821E003"; /* EN_FAULT_PS3_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "L2 Cache VIDS for processor pair L3-L4 do not match.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "64280003"; /* EN_L2CNFLCTL34 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Processor Bus 3 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018403"; /* EN_CPU_IO_BUS_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Wall power failure to power supply 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08218001"; /* EN_PS1_AC_FAIL */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Front Panel is not plugged in.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0901E000"; /* EN_FRONT_PANNEL_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08226003"; /* EN_FAULT_PS3_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04432000"; /* EN_FAULT_VRM_3V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 4 5V Under Voltage Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234804"; /* EN_FAULT_PS4_5V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 1 shut off due to over temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C401"; /* EN_PROC_HOT_CPU1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Internal Error CPU 6 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04300206"; /* EN_IERR_CPU6 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401508"; /* EN_PFA_HI_FAULT_VRM8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 4 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D084"; /* EN_THERM_TRIP_CPU4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over temperature for CPU 7.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D507"; /* EN_PFA_HI_OVER_TEMP_CPU7 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 11 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440000B"; /* EN_FAULT_VRM11 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08034080"; /* EN_FAULT_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Environmental Monitor not responding.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18016000"; /* EN_DMC_COMM_FAIL */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 6 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026806"; /* EN_FAN6_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is under recommended voltage on VRM 10.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0440180A"; /* EN_PFA_LO_FAULT_VRM10 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Error PCI Bus X";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480007"; /* EN_SERR_X1_PX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +5v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA34500"; /* EN_EXP3_CUTOFF_HI_FAULT_PLANAR_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 0).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F000"; /* EN_DASD1_REMOVED_SCSI_ID_0 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "L2 Cache VIDS for processor pair R3-R4 do not match.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "64280001"; /* EN_L2CNFLCTR34 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on PB64A.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06019900"; /* EN_PB64A_PFA_LOW_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 +12V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE36402"; /* EN_EXP4_FAULT_PS2_12V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 2 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C802"; /* EN_CUTOFF_LO_OVER_TEMP_CPU2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +1.5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08040880"; /* EN_CUTOFF_LO_FAULT_1_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to PB64B over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06018481"; /* EN_PB64B_CUTOFF_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage for 1.8V CPU";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0807B400"; /* EN_PFA_HI_FAULT_1_8V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026001"; /* EN_FAN_1_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08234082"; /* EN_FAULT_PS2_5V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 12V_B current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A403"; /* EN_CUTOFF_HI_EXCEDED_CUR_12V_B_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06800001"; /* EN_FAULT_DASD1_HARD_DRIVE_1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Temperature Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821C082"; /* EN_FAULT_PS2_OVR_TEMP */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power supply upgrade present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0829E000"; /* EN_PRESENT_RPS_UPGRADE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM +3.3V (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06032880"; /* EN_IO_VRM_3_3V_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 +12V Under Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E36802"; /* EN_EXP2_FAULT_PS2_12V_UNDER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 2 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18F80002"; /* EN_EXP1_FAULT_PS2_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on VRM +3.3V (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06033900"; /* EN_IO_VRM_3_3V_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 3 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D803"; /* EN_PFA_LO_OVER_TEMP_CPU3 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 8 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400488"; /* EN_CUTOFF_HI_FAULT_VRM8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI-X planar VRM fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019005"; /* EN_PCI_VRM_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Secondary mode service processor";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000009"; /* EN_SPAR_SECONDARY_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage for -5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803D800"; /* EN_PFA_LO_FAULT_N5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Processor bus 2 GTL+ over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04018482"; /* EN_SEC_CPU_BUS_CUT_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Primary mode service processor in temporary standalone mode";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0400000B"; /* EN_SPAR_STANDALONE_RESET_PRIMARY_MODE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 5 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400485"; /* EN_CUTOFF_HI_FAULT_VRM5 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 3 Removed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19E1E003"; /* EN_EXP2_FAULT_PS3_REMOVED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Boot Failed";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000077"; /* EN_BOOT_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 9.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA20009"; /* EN_EXP4_I2C_BUS_9_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Security: System Intrusion Detected";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00280000"; /* EN_TRIGGERED_CHASSIS_INTRUSION */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 4 on I/O planar not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0441E003"; /* EN_VRM_NP_4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to  CPU 7 temperature under min value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C807"; /* EN_CUTOFF_LO_OVER_TEMP_CPU7 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 +12V Over Current Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18E36001"; /* EN_EXP1_FAULT_PS1_12V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Continuous 3.3V under minimum value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002C880"; /* EN_CUTOFF_LO_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA33400"; /* EN_EXP3_PFA_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SERR on PCI bus 4";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480004"; /* EN_PCI_SERR_4 */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Static partition is not configured";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000001"; /* EN_SPAR_PARTITION_NULL_STATE */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 14).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F00E"; /* EN_DASD1_REMOVED_SCSI_ID_14 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System is over recommended voltage on VRM 6.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04401506"; /* EN_PFA_HI_FAULT_VRM6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200204"; /* EN_FAULT_CPU4 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Environmental Monitor RAM Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A180000"; /* EN_EXP3_DMC_RAM_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "-12V Bus Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803E000"; /* EN_FAULT_N12V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +5v under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1802B800"; /* EN_EXP1_PFA_LO_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Status Display Fail";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "09002004"; /* EN_DISPLAY_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "3.3V PCI Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0643A000"; /* EN_FAULT_3_35V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Outside Recommended Speed.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "000A6002"; /* EN_FAN2_PFA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power System Fan Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08026000"; /* EN_FAULT_PS_FAN_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Internal SCSI Terminator Power (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06618885"; /* EN_IO_INT_SCSI_CUT_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +2.5v over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA31400"; /* EN_EXP4_PFA_HI_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 4 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026004"; /* EN_FAULT_FAN4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028001"; /* EN_FAULT_SYS_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on +3.3v (I/O Planar).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06033501"; /* EN_IO_3_3VA_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on Processor bus 1.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019501"; /* EN_PRI_CPU_BUS_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 3.3V current over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801A401"; /* EN_CUTOFF_HI_EXCEDED_CUR_335V_MAX */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Redundant Power Supply Event";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0000007C"; /* EN_RPS */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Front Control Panel Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A024002"; /* EN_EXP3_PRESENT_CABLE_CONTROL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Left Memory Card AND Right Memory Card Not Present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "6501E000"; /* EN_MEMCARD_PD */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Failure Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026802"; /* EN_FAN2_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 3.3V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08232082"; /* EN_FAULT_PS2_33V_OCOVUV */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "5V Continuous ASM Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00034000"; /* EN_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Fan 3 not detected Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A026003"; /* EN_EXP3_FAN_3_NOT_PRESENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 2).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F002"; /* EN_DASD1_REMOVED_SCSI_ID_2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System log 75% full";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000071"; /* EN_LOG75 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on Processor bus 2.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019902"; /* EN_SEC_CPU_BUS_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Failure reading I2C device. Check devices on bus 8.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA20008"; /* EN_EXP4_I2C_BUS_8_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to Memory area over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501C480"; /* EN_CUTOFF_HI_OVER_TEMP_MEM_AREA */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Node in POST";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000012"; /* EN_SPAR_NODE_IN_POST */
	strinfo->event_sev = SAHPI_INFORMATIONAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "L2 Cache VIDS for processor pair L1-L2 do not match.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "64280002"; /* EN_L2CNFLCTL12 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 6 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C486"; /* EN_CUTOFF_HI_OVER_TEMP_CPU6 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +3.3v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1802C500"; /* EN_EXP1_CUTOFF_HI_FAULT_3_35V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System physical security compromised";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000066"; /* EN_TAMPER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended 5V Fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08035800"; /* EN_PFA_LO_FAULT_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 4 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400004"; /* EN_FAULT_VRM4 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended voltage on Processor bus 3.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04019503"; /* EN_CPU_IO_BUS_PFA_HI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "VRM 3 Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04428003"; /* EN_FAULT_VRM_POWER_GOOD_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to +5vB (I/O Planar) under voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06034884"; /* EN_IO_5VB_CUTOFF_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply Power Good Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08228000"; /* EN_FAULT_PS_POWER_GOOD */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 1 Fault Multiple fan failures";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026001"; /* EN_FAULT_FAN1 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU 1 Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04200201"; /* EN_FAULT_CPU1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Front fan card not present.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0901E001"; /* EN_FP_FAN_CARD_NP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard Drive Fault (SCSI ID 0)";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06801000"; /* EN_FAULT_DASD1_SCSI_ID_0 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "2.5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08030080"; /* EN_FAULT_2_5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Control Panel Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00224000"; /* EN_PRESENT_CABLE_CONTROL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended CPU 1 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421D801"; /* EN_PFA_LO_OVER_TEMP_CPU1 */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 12V_SHARED current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B406"; /* EN_PFA_HI_EXCEDED_CUR_12V_SHARED_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 AC Power Removed, Early Power Off Warning";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "19F80001"; /* EN_EXP2_FAULT_PS1_EPOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v PCI over recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1B233400"; /* EN_EXP4_PFA_HI_3_35V_PCI */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +2.5v.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "08031880"; /* EN_PFA_LO_FAULT_2_5V */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Lower CEC +2.5V Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028002"; /* EN_2_5V_PWR_GOOD_FAULT_BOT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 18.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020012"; /* EN_I2C_BUS_18_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +3.3v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BA32500"; /* EN_EXP4_CUTOFF_HI_FAULT_3_35V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Service Processor Not Present";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00024000"; /* EN_PRESENT_CABLE_SP */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Cable: Media cable not detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06B1E000"; /* EN_MEDIA_CABLE_NP */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "CPU removal detected";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000070"; /* EN_CPU_REMOVED */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive 9 removal detected.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681E009"; /* EN_DASD1_REMOVED_DRIVE_9 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 3 5V Over Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A403"; /* EN_FAULT_PS3_5V_OVR_CUR */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Memory Port-4 2.5v Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "05228003"; /* EN_POW_GOOD_FAULT_MEM_PORT_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to VRM 2 over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04400482"; /* EN_CUTOFF_HI_FAULT_VRM2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Lower CEC Port 1 Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0002800B"; /* EN_MEM_PORT1_PWR_GOOD_FAULT_BOT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to 5V PCI over max value.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06434480"; /* EN_CUTOFF_HI_FAULT_5V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Invalid Fan configuration";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06026009"; /* EN_FAN_INVALID_CONFIG */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Power Supply 2 Current Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0821A002"; /* EN_FAULT_PS2_CUR_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 12V_C current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B404"; /* EN_PFA_HI_EXCEDED_CUR_12V_C_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Continuous +5v under voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1802A900"; /* EN_EXP1_CUTOFF_LO_FAULT_5V_CONT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System Error PCI Bus A";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06480005"; /* EN_SERR_X0_PA */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Power Supply 1 +5V Over Voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1BE34401"; /* EN_EXP4_FAULT_PS1_5V_OVER */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "OS Watchdog Triggered";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00000073"; /* EN_OS_WD */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Environmental Monitor RAM Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "18180000"; /* EN_DMC_RAM_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "12V PCI Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "06436000"; /* EN_FAULT_12V_PCI */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Center Card Power Fault";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00028010"; /* EN_3_3V_MIDPLANE_PWR_GOOD_FAULT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to -5v over voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0803C480"; /* EN_CUTOFF_HI_FAULT_N5V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 8 Failure Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00026808"; /* EN_FAN8_SPEED */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "DASD bank 17 Over Temperature";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681C091"; /* EN_OVER_TEMP_DASD2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Hard drive removal detected (SCSI ID 3).";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0681F003"; /* EN_DASD1_REMOVED_SCSI_ID_3 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: High ambient temperature, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1901C500"; /* EN_EXP2_CUTOFF_HI_OVER_TEMP_AMBIENT */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading an I2C device, possible bus failure.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020040"; /* EN_I2C_BUS_FAIL */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = NO_OVR;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Failure reading I2C device. Check devices on bus 0.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00020000"; /* EN_I2C_BUS_0_FAIL */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Automatic BIOS Recovery was invoked during POST.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04000000"; /* EN_AUTO_BIOS_ALERT */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: -12v over voltage, attempting power off.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA3E500"; /* EN_EXP3_CUTOFF_HI_FAULT_N12V */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "Fan 2 Fault Single fan failure";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0A026002"; /* EN_FAULT_FAN2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "SPI to I2C translator has had a fault.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "00202004"; /* EN_SPI_CONTROLER_FAULT */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: Environmental Monitor ROM Error.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1A100000"; /* EN_EXP3_DMC_ROM_ERROR */
	strinfo->event_sev = SAHPI_MINOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "PCI Expansion Unit %s: +12v under recommended voltage.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "1AA37800"; /* EN_EXP3_PFA_LO_FAULT_12V_PLANAR */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System over recommended 3.3V current.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0801B401"; /* EN_PFA_HI_EXCEDED_CUR_335V_MAX */
	strinfo->event_sev = SAHPI_MAJOR;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to memory planar 2 over hard shutoff temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0501C482"; /* EN_CUTOFF_HI_OVER_TEMP_MEMORY2 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System shutoff due to CPU 8 over temperature.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "0421C488"; /* EN_CUTOFF_HI_OVER_TEMP_CPU8 */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);

	key = "System under recommended voltage on +5V Supply.";
	strinfo = g_malloc0(sizeof(Str2EventInfoT));
	if (!strinfo) {
		dbg("Cannot allocate memory for hash value - %s", key);
		rsa_str2event_hash_free();
		return -1;
	}
	strinfo->event = "04035900"; /* EN_CPU_5V_PFA_LOW */
	strinfo->event_sev = SAHPI_CRITICAL;
	strinfo->event_ovr = OVR_SEV;
	strinfo->event_dup = 0;
	g_hash_table_insert(rsa_str2event_hash, key, strinfo);


	return 0;
}

int rsa_str2event_hash_free()
{
        g_hash_table_foreach(rsa_str2event_hash, free_hash_data, NULL);
	g_hash_table_destroy(rsa_str2event_hash);

	return 0;
}

static void free_hash_data(gpointer key, gpointer value, gpointer user_data)
{
/*        g_free(key);  keys are string constants - cannot free them */
        g_free(value);
}
